Skip to main content
DELETE
/
groups
/
{guid}
/
scopes
/
{scope}
/
permissions
/
{permission}
Unset Scope Permissions
curl --request DELETE \
  --url https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/scopes/{scope}/permissions/{permission} \
  --header 'apikey: <api-key>'
{
  "data": {
    "permissions": {
      "sendMessage": "allow",
      "listMembers": "allow",
      "listMembers.allowedScopes": "participant",
      "addReaction": "deny",
      "listReactions.allowedScopes": "moderator",
      "listReactions": "deny",
      "sendThreadedMessage": "allow",
      "initiateCall": "deny",
      "initiateCall.allowedScopes": "participant",
      "initiateCall.allowedType": "audio",
      "editMessage": "allow"
    }
  }
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

guid
string
required

The group GUID to remove scope permission from

Example:

"supergroup"

scope
string
required

The scope identifier (e.g., admin, moderator, participant)

Example:

"admin"

permission
string
required

The permission key to unset (e.g., sendMessage, initiateCall, etc.)

Example:

"sendMessage"

Response

200 - application/json

Scope permission unset successfully

data
object